> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get NFTs owned by address

> Get the list of NFTs owned by an account.



## OpenAPI

````yaml get /v1/account/nfts
openapi: 3.0.2
info:
  title: 🏦 Balance API
  version: v1.0.0
servers:
  - url: https://api.chainbase.online
    description: production server
security: []
paths:
  /v1/account/nfts:
    get:
      tags:
        - NFT Balances
      summary: Get NFTs owned by address
      description: Get the list of NFTs owned by an account.
      operationId: GetAccountNFTs
      parameters:
        - description: >-
            chain network id, see [list of
            details](/platform/features/api/web3-api)
          required: true
          schema:
            title: Chain Id
            type: string
            description: >-
              chain network id, see [list of
              details](/platform/features/api/web3-api)
          example: '1'
          name: chain_id
          in: query
        - description: A hex string referencing a wallet address
          required: true
          schema:
            title: Address
            pattern: ^0[xX]{1}[a-fA-F0-9]{40}$
            type: string
            description: A hex string referencing a wallet address
          example: '0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045'
          name: address
          in: query
        - description: >-
            The address of the NFT contract, or filter multiple addresses, (max
            100),
            eg:contract_address=0xed5af388653567af2f388e6224dc7c4b3241c544,0x1a92f7381b9f03921564a437210bb9396471050c
          required: false
          schema:
            title: Contract Address
            pattern: ^0[xX]{1}[a-fA-F0-9]{40}$
            type: string
            description: >-
              The address of the NFT contract, or filter multiple addresses,
              (max 100),
              eg:contract_address=0xed5af388653567af2f388e6224dc7c4b3241c545,0x1a92f7381b9f03921564a437210bb9396471050c
          example: '0xed5af388653567af2f388e6224dc7c4b3241c544'
          name: contract_address
          in: query
        - description: The page offset
          required: false
          schema:
            title: Page
            minimum: 1
            type: integer
            description: The page offset
            default: 1
          name: page
          in: query
        - description: The desired page size limit. Less or equal than 100
          required: false
          schema:
            title: Limit
            maximum: 100
            minimum: 1
            type: integer
            description: The desired page size limit. Less or equal than 100
            default: 20
          name: limit
          in: query
        - required: true
          schema:
            title: X-Api-Key
            type: string
            example: demo
          example: demo
          name: x-api-key
          in: header
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseGetAccountNFTs'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
components:
  schemas:
    ResponseGetAccountNFTs:
      title: ResponseGetAccountNFTs
      type: object
      properties:
        code:
          title: Code
          type: integer
          default: 0
        message:
          title: Message
          type: string
          default: ok
        data:
          title: Data
          type: array
          items:
            $ref: '#/components/schemas/NFTDetail'
        next_page:
          title: Next Page
          type: integer
        count:
          title: Count
          type: integer
    ErrorMessage:
      title: ErrorMessage
      required:
        - code
        - message
      type: object
      properties:
        code:
          title: Code
          type: integer
        message:
          title: Message
          type: string
    NFTDetail:
      title: NFTDetail
      required:
        - contract_address
        - erc_type
        - mint_time
        - mint_transaction_hash
        - name
        - owner
        - symbol
        - token_id
        - token_uri
        - image_uri
        - total
        - total_string
      type: object
      properties:
        contract_address:
          title: Contract Address
          type: string
          description: The contract address
        erc_type:
          title: Erc Type
          type: string
          description: ERC standard related to the contract.
        metadata:
          title: Metadata
          type: object
          description: The metadata of the item.
        mint_time:
          title: Mint Time
          type: string
          description: The timestamp when the item was minted.
          format: date-time
        mint_transaction_hash:
          title: Mint Transaction Hash
          type: string
          description: The block number when the item was minted.
        name:
          title: Name
          type: string
          description: The name of the item.
        owner:
          title: Owner
          type: string
          description: >-
            The user address who owns the item now (null if the item is an
            ERC-1155 NFT).
        symbol:
          title: Symbol
          type: string
          description: The symbol of the NFT contract.
        token_id:
          title: Token Id
          type: string
          description: The token ID number of the item.
        token_uri:
          title: Token Uri
          type: string
          description: The token URI of the item.
        image_uri:
          title: Image Uri
          type: string
          description: The image URI of the item.
        total:
          title: Total
          type: integer
          description: The total amount of the item.
        total_string:
          title: Total String
          type: string
          description: The total amount of item in string.
        traits:
          title: Traits
          description: List of traits of the item.
        rarity_score:
          title: Rarity Score
          type: number
          description: The rarity score for the item.
        rarity_rank:
          title: Rarity Rank
          type: integer
          description: The rarity rank for the item.
        floor_prices:
          title: Floor Prices
          type: array
          items:
            $ref: '#/components/schemas/NFTCollectionFloorPrice'
          description: List of floor prices.
    NFTCollectionFloorPrice:
      title: NFTCollectionFloorPrice
      type: object
      properties:
        value:
          title: Value
          type: string
          description: The amount of the ERC-20 token.
        symbol:
          title: Symbol
          type: string
          description: The symbol of the ERC-20 token.
        address:
          title: Address
          type: string
          description: The address of the ERC-20 token.

````